---
lang: en
title: 'API docs: pooling.pooledvalue'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.pooledvalue.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PooledValue](./pooling.pooledvalue.md)

## PooledValue interface

Pooled resource instance

**Signature:**

```typescript
export interface PooledValue<T> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[pool](./pooling.pooledvalue.pool.md)


</td><td>


</td><td>

Pool&lt;T&gt;


</td><td>

The resource pool


</td></tr>
<tr><td>

[value](./pooling.pooledvalue.value.md)


</td><td>


</td><td>

T


</td><td>

Acquired value from the pool


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[release()](./pooling.pooledvalue.release.md)


</td><td>

The function to release the acquired value back to the pool


</td></tr>
</tbody></table>


